package model;

import javafx.beans.property.*;

import java.util.List;

public class Plateau {
	private IntegerProperty longueure = new SimpleIntegerProperty();
		public int getLongueure() {return longueure.get();}
		public void setLongueure(int valeur)  {longueure.set(valeur);}
		public ReadOnlyIntegerProperty longueureProperty(){return longueure;}

	private IntegerProperty largeure = new SimpleIntegerProperty();
		public int getLargeure() {return largeure.get();}
		public void setLargeure(int valeur)  {largeure.set(valeur);}
		public ReadOnlyIntegerProperty largeureProperty(){return largeure;}

	private ObjectProperty grilleCellules = new SimpleObjectProperty();
		public List<Cellule> getGrilleCellules() {return (List<Cellule>) grilleCellules.get();}
		public void setGrilleCellules(List<Cellule> cells) {grilleCellules.set(cells);}
		public ReadOnlyObjectProperty grilleCellulesProperty() {return grilleCellules;}
}
